<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo_php = $_SERVER['SCRIPT_NAME'];

/******* CONFIGURACION FIN ********/

	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$cadena_get = strstr($_SERVER['QUERY_STRING'],"msj=1&");
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$tabla_get = "tabla=".CATEGORIAS;
	$campoid = "catID";
	$ig = $_GET;
	$arc = $_FILES;
	$in = $_POST;

if (isset($in["guardar"]))
{
	
	if (isset($arc["foto"]) && $arc["foto"]["name"])
	{
			
			// asignar el ID
			$qd = myquery("SELECT * FROM ".CATEGORIAS." ORDER BY ".$campoid." DESC LIMIT 0, 1","[03]");
			$row_inid = myfetch($qd);
			if ($row_inid[$campoid])
			{
				$inid = $row_inid[$campoid]+1;
			} else {
				$inid = 1;
			}

		
		// extension + caracteres max 100
		if (preg_match('/\.(gif|jpg|jpeg|png)$/i', $arc["foto"]["name"]) && strlen($arc["foto"]["name"]) <= 100 && $arc["foto"]["size"] > 0)
		{
						
			$arc["foto"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["foto"]["name"]);				
			$archivo_nom = $arc["foto"]["name"];
			$subir = move_uploaded_file($arc["foto"]["tmp_name"], "../ftps/".$archivo_nom);
			if (!$subir) //falla FTP
			{
				Redir ($archivo_php."?err_ftp=1");
						
			} else {
					
				$recortar_ancho = $in["recortar_ancho"] != "" && is_numeric($in["recortar_ancho"]) ? $in["recortar_ancho"] : CONFIG_54 ;
				$ruta_or_foto ="../ftps/";
				$ruta_sal_foto ="../fotos/";
				// gif|jpg|jpeg|png
				generar_imagenes($ruta_or_foto,$ruta_sal_foto,$archivo_nom,$recortar_ancho,800,$inid,"cat");
				$foto = "CAT_".$inid."_".$archivo_nom;
				unlink("../ftps/".$archivo_nom);
					
			}
							
		} else { // no extension no cantidad de caracteres
						
			Redir ($archivo_php."?err_ext=1");
						
		}
					
	} else {
	
	$foto = "";
	
	}
	
	$parent = $in["parent"];
	$nombre = entrada_sin_tags_html($in["nombre"]); 
	$nombre_1 = $num_idiomas >= 1 ? entrada_sin_tags_html($in["nombre_1"]) : ""; 
	$nombre_2 = $num_idiomas >= 2 ? entrada_sin_tags_html($in["nombre_2"]) : ""; 
	$nombre_3 = $num_idiomas >= 3 ? entrada_sin_tags_html($in["nombre_3"]) : ""; 
	$nombre_4 = $num_idiomas >= 4 ? entrada_sin_tags_html($in["nombre_4"]) : ""; 
	$nombre_5 = $num_idiomas >= 5 ? entrada_sin_tags_html($in["nombre_5"]) : ""; 
	$comentario = entrada_gral_html($in["comentario"]); 
	$comentario_1 = $num_idiomas >= 1 ? entrada_gral_html($in["comentario_1"]) : ""; 
	$comentario_2 = $num_idiomas >= 2 ? entrada_gral_html($in["comentario_2"]) : ""; 
	$comentario_3 = $num_idiomas >= 3 ? entrada_gral_html($in["comentario_3"]) : ""; 
	$comentario_4 = $num_idiomas >= 4 ? entrada_gral_html($in["comentario_4"]) : ""; 
	$comentario_5 = $num_idiomas >= 5 ? entrada_gral_html($in["comentario_5"]) : "";
	$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
	$columnas = $in["columnas"] != "" && is_numeric($in["columnas"]) ? $in["columnas"] : 1 ;
	
	$qs = "INSERT INTO ".CATEGORIAS." (parent,nombre,nombre_1,nombre_2,nombre_3,nombre_4,nombre_5,comentario,comentario_1,comentario_2,comentario_3,comentario_4,comentario_5,foto,columnas,orden) VALUES ('".$parent."','".$nombre."','".$nombre_1."','".$nombre_2."','".$nombre_3."','".$nombre_4."','".$nombre_5."','".$comentario."','".$comentario_1."','".$comentario_2."','".$comentario_3."','".$comentario_4."','".$comentario_5."','".$foto."','".$columnas."','".$orden."')";
	myquery($qs,"[01]");
	$inid = myinsertid();
	
	Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);


}

if (isset($ig["catID"]) || isset($in["catID"]))
{
	// asignar ID gral
	$fileID_gral = isset($ig["catID"]) ? $ig["catID"] : $in["catID"];
	
	
	if (isset($in["actualizar"]))
	{
	
		// asignar el ID
		$inid = $fileID_gral;

		// calcular si se borra la foto
		$borrar_foto = isset($in["borrar_foto"]) ? $in["borrar_foto"] : 0 ;

		if (isset($arc["foto"]) && $arc["foto"]["name"])
		{

			// extension + caracteres max 100
			if (preg_match('/\.(gif|jpg|jpeg|png)$/i', $arc["foto"]["name"]) && strlen($arc["foto"]["name"]) <= 100 && $arc["foto"]["size"] > 0)
			{
						
				$arc["foto"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["foto"]["name"]);				
				$archivo_nom = $arc["foto"]["name"];
				$subir = move_uploaded_file($arc["foto"]["tmp_name"], "../ftps/".$archivo_nom);
				if (!$subir) //falla FTP
				{
					// '0' no borra la vieja foto
					$borrar_arc = 0;
					Redir ($archivo_php."?".$campoid."=".$inid."&err_ftp=1&".$in["listado_get"]);
						
				} else {

					// '1' si borra la vieja foto
					$borrar_arc = 1;
					
					$recortar_ancho = $in["recortar_ancho"] != "" && is_numeric($in["recortar_ancho"]) ? $in["recortar_ancho"] : CONFIG_54 ;
					$ruta_or_foto ="../ftps/";
					$ruta_sal_foto ="../fotos/";
					// gif|jpg|jpeg|png
					generar_imagenes($ruta_or_foto,$ruta_sal_foto,$archivo_nom,$recortar_ancho,800,$inid,"cat");
					// controla el UPDATE	
					$foto = ",foto='CAT_".$inid."_".$archivo_nom."'";
					unlink("../ftps/".$archivo_nom);
					
				}
							
			} else { // no extension no cantidad de caracteres
						
				// '0' no borra la vieja foto
				$borrar_arc = 0;				
				Redir ($archivo_php."?".$campoid."=".$inid."&err_ext=1&".$in["listado_get"]);
						
			}
			
			// borra la vieja foto
			if ($borrar_arc == 1)
			{
				$q1 = myquery("SELECT * FROM ".CATEGORIAS." WHERE ".$campoid."='".$fileID_gral."'","[02]");
				$row1 = myfetch($q1);
				// si tiene distinto nombre se borra
				if ($row1["foto"] != "CAT_".$inid."_".$archivo_nom)
				{
					if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
					{
						unlink("../fotos/".$row1["foto"]);
					}
				}
			}
					
		} else {
	
			if ($borrar_foto == 1)
			{
				$q1 = myquery("SELECT * FROM ".CATEGORIAS." WHERE ".$campoid."='".$fileID_gral."'","[02bo]");
				$row1 = myfetch($q1);
				if ($row1["foto"] && file_exists_url("../fotos/".$row1["foto"]))
				{
						unlink("../fotos/".$row1["foto"]);
				}				
				// controla el UPDATE
				$foto = ",foto=''";
		
			} else {
				
				// controla el UPDATE				
				$foto = "";
			}
	
		}
		
		$parent = $in["parent"];
		$nombre = entrada_sin_tags_html($in["nombre"]); 
		$nombre_1 = $num_idiomas >= 1 ? entrada_sin_tags_html($in["nombre_1"]) : ""; 
		$nombre_2 = $num_idiomas >= 2 ? entrada_sin_tags_html($in["nombre_2"]) : ""; 
		$nombre_3 = $num_idiomas >= 3 ? entrada_sin_tags_html($in["nombre_3"]) : ""; 
		$nombre_4 = $num_idiomas >= 4 ? entrada_sin_tags_html($in["nombre_4"]) : ""; 
		$nombre_5 = $num_idiomas >= 5 ? entrada_sin_tags_html($in["nombre_5"]) : ""; 
		$comentario = entrada_gral_html($in["comentario"]); 
		$comentario_1 = $num_idiomas >= 1 ? entrada_gral_html($in["comentario_1"]) : ""; 
		$comentario_2 = $num_idiomas >= 2 ? entrada_gral_html($in["comentario_2"]) : ""; 
		$comentario_3 = $num_idiomas >= 3 ? entrada_gral_html($in["comentario_3"]) : ""; 
		$comentario_4 = $num_idiomas >= 4 ? entrada_gral_html($in["comentario_4"]) : ""; 
		$comentario_5 = $num_idiomas >= 5 ? entrada_gral_html($in["comentario_5"]) : "";
		$orden = $in["orden"] != "" && is_numeric($in["orden"]) ? $in["orden"] : 0 ;
		$columnas = $in["columnas"] != "" && is_numeric($in["columnas"]) ? $in["columnas"] : 1 ;
		
		$qs = "UPDATE ".CATEGORIAS." SET parent='".$parent."',nombre='".$nombre."',nombre_1='".$nombre_1."',nombre_2='".$nombre_2."',nombre_3='".$nombre_3."',nombre_4='".$nombre_4."',nombre_5='".$nombre_5."',comentario='".$comentario."',comentario_1='".$comentario_1."',comentario_2='".$comentario_2."',comentario_3='".$comentario_3."',comentario_4='".$comentario_4."',comentario_5='".$comentario_5."'".$foto.",columnas='".$columnas."',orden='".$orden."' WHERE catID='".$fileID_gral."'";
		myquery($qs,"[04]");
		
		Redir ($archivo_php."?".$campoid."=".$inid."&msj=1&".$in["listado_get"]);

	}

	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".CATEGORIAS." WHERE catID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);


} else {


/***** NUEVO ******/

$row = array();
$row["catID"] = "";
$row["parent"] = "";
$row["nombre"] = "";
$row["nombre_1"] = "";
$row["nombre_2"] = "";
$row["nombre_3"] = "";
$row["nombre_4"] = "";
$row["nombre_5"] = "";
$row["comentario"] = "";
$row["comentario_1"] = "";
$row["comentario_2"] = "";
$row["comentario_3"] = "";
$row["comentario_4"] = "";
$row["comentario_5"] = "";
$row["foto"] = "";
$row["columnas"] = "1";
$row["orden"] = "";

}

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>
<?php include("inc.editor_tinymce.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>
<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_redaccion.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_306; ?></span>
</div>

<form enctype="multipart/form-data" action="<?php echo $archivo_php; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	if (isset($ig["catID"]) || isset($in["actualizar"]))
	{

		if ($cadena_get)
		{
			$listado_get = substr($cadena_get,6);
			
		} else {
			
			if (isset($ig["err_ftp"]))
			{				
				$listado_get = str_replace($campoid."=".$fileID_gral."&err_ftp=1&","", $cadena_get_comple);
				
			} else if (isset($ig["err_ext"])) {
			
				$listado_get = str_replace($campoid."=".$fileID_gral."&err_ext=1&","", $cadena_get_comple);
				
			} else {

				// si se entra desde la web
				if ($cadena_get_comple == $campoid."=".$fileID_gral)
				{
					$listado_get = str_replace($campoid."=".$fileID_gral, $tabla_get, $cadena_get_comple);
						
				} else {
			
					$listado_get = str_replace($campoid."=".$fileID_gral."&","", $cadena_get_comple);
				}
			}

		}
		
		echo '<div class="rotulo">'.LEN_ADMIN_38.'</div>';

		// nuevo registro
		echo '<a title="'.salida_popups(LEN_ADMIN_50).'"';
		echo ' href="'.$archivo_php.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_publicar.png" />';
		echo '</a>';
		
		// gestionar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$listado_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';

		// borrar
		echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
		echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\'listados.php?'.$tabla_get.'&res=bo&registro='.$fileID_gral.'\');"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
		echo '</a>';
		echo '&nbsp;&nbsp;(#'.$fileID_gral.')';

	} else {
		echo '<div class="rotulo">'.LEN_ADMIN_50.'</div>';	

		// gestionar
		echo '<a title="'.salida_popups(LEN_ADMIN_12).'"';
		echo ' href="listados.php?'.$tabla_get.'"';
		echo ' class="conex_tip">';
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_gestionar.png" />';
		echo '</a>';
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>&nbsp;&nbsp;';
	
	}
	if (isset($ig["err_ftp"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_30.'</span>';
	
	}

	if (isset($ig["err_ext"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_31.' (gif|jpg|jpeg|png)'.LEN_ADMIN_25.' 100</span>';
	}
?>

<br /><br /><br />
<?php  echo LEN_ADMIN_69; ?>
&nbsp;<input name="orden" maxlength="11" value="<?php echo $row['orden']; ?>" type="text" class="input_text tmini">

<br /><br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_75; ?>
&nbsp;<select name="parent">
<option value="0"><?php  echo LEN_ADMIN_76; ?></option>
<?php

	$corte = 50;
	$cats = todas_categorias(0,0);
	for ($i=0; $i<count($cats); $i++)
	{
		echo "<option value=\"".$cats[$i]["catID"]."\"";
		
		// selecciona la categoria principal
		if ($row["parent"] == $cats[$i]["catID"])
		{
			echo " selected";
		}
		echo ">";
		
		// comprueba la longitud del nombre
		if (strlen($cats[$i]["nombre"]) > $corte) { $mas="..."; } else { $mas=""; }
		
		// incluye dos espacios por nivel
		for ($j=0;$j<$cats[$i]["nivel"];$j++)
		{
			echo "&nbsp;&nbsp;";
		}
		
		echo substr($cats[$i]["nombre"],0,$corte).$mas;
		echo "</option>";
	}

?>
</select>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_355; ?>
&nbsp;<input name="columnas" maxlength="2" value="<?php echo $row['columnas']; ?>" type="text" class="input_text tchar">
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php

	if (isset($ig[$campoid]) || isset($in["actualizar"])) {
		
		if ($row["foto"] && file_exists_url("../fotos/".$row["foto"]))
		{			
			echo LEN_ADMIN_189.' (gif|jpg|jpeg|png)';
			
		} else {
			
			echo LEN_ADMIN_188.' (gif|jpg|jpeg|png)';
		}
		
	} else {
	
		echo LEN_ADMIN_188.' (gif|jpg|jpeg|png)';
	}

?>
&nbsp;<input type="file" name="foto" class="input_text">

<br /><br />
<?php  echo LEN_ADMIN_291; ?>
&nbsp;&nbsp;<input name="recortar_ancho" type="text" maxlength="11" value="<?php echo CONFIG_54; ?>" class="input_text tmini">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{	
		if ($row["foto"] && file_exists_url("../fotos/".$row["foto"]))
		{
			
			$size = getimagesize("../fotos/".$row["foto"]);
			$size_ancho = ceil($size[0]/2);

			// si el ancho es inferior a 50px
			if ($size_ancho < 50) { $size_ancho = $size[0]; }

			echo '<br /><br /><img src="../fotos/'.$row["foto"].'" width="'.$size_ancho.'" />';
			echo '<br /><br />'.LEN_ADMIN_67.' <strong>'.$row["foto"].'</strong>&nbsp;&nbsp;&nbsp;('.$size[0].' x '.$size[1].')';
			echo '&nbsp;&nbsp;&nbsp;<input type="checkbox" name="borrar_foto" value="1">&nbsp;'.LEN_ADMIN_98;

		}
	}
?>
</div>

<br /><br />
<div class="div_destacar_grupos">
* <?php  echo LEN_ADMIN_70; ?>
&nbsp;<input name="nombre" maxlength="255" value="<?php echo salida_editar_form($row['nombre']); ?>" type="text" class="input_text">

<?php
	if ($num_idiomas >= 1) {
?>
<br /><br />
* <?php  echo LEN_ADMIN_71; ?> (1)
&nbsp;<input name="nombre_1" maxlength="255" value="<?php echo salida_editar_form($row['nombre_1']); ?>" type="text" class="input_text">
<?php
	}
	if ($num_idiomas >= 2) {
?>
<br /><br />
* <?php  echo LEN_ADMIN_71; ?> (2)
&nbsp;<input name="nombre_2" maxlength="255" value="<?php echo salida_editar_form($row['nombre_2']); ?>" type="text" class="input_text">
<?php
	}
	if ($num_idiomas >= 3) {
?>
<br /><br />
* <?php  echo LEN_ADMIN_71; ?> (3)
&nbsp;<input name="nombre_3" maxlength="255" value="<?php echo salida_editar_form($row['nombre_3']); ?>" type="text" class="input_text">
<?php
	}
	if ($num_idiomas >= 4) {
?>
<br /><br />
* <?php  echo LEN_ADMIN_71; ?> (4)
&nbsp;<input name="nombre_4" maxlength="255" value="<?php echo salida_editar_form($row['nombre_4']); ?>" type="text" class="input_text">
<?php
	}
	if ($num_idiomas >= 5) {
?>
<br /><br />
* <?php  echo LEN_ADMIN_71; ?> (5)
&nbsp;<input name="nombre_5" maxlength="255" value="<?php echo salida_editar_form($row['nombre_5']); ?>" type="text" class="input_text">
<?php
	}
?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php  echo LEN_ADMIN_72; ?>&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario" id="comentario" class="input_editor" rows="10"><?php echo $row["comentario"]; ?></textarea>
<?php
	if ($num_idiomas >= 1) {
?>
<br /><br />
<?php  echo LEN_ADMIN_73; ?> (1)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario_1');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario_1" id="comentario_1" class="input_editor" rows="10"><?php echo $row["comentario_1"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 2) {
?>
<br /><br />
<?php  echo LEN_ADMIN_73; ?> (2)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario_2');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario_2" id="comentario_2" class="input_editor" rows="10"><?php echo $row["comentario_2"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 3) {
?>
<br /><br />
<?php  echo LEN_ADMIN_73; ?> (3)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario_3');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario_3" id="comentario_3" class="input_editor" rows="10"><?php echo $row["comentario_3"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 4) {
?>
<br /><br />
<?php  echo LEN_ADMIN_73; ?> (4)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario_4');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario_4" id="comentario_4" class="input_editor" rows="10"><?php echo $row["comentario_4"]; ?></textarea>
<?php
	}
	if ($num_idiomas >= 5) {
?>
<br /><br />
<?php  echo LEN_ADMIN_73; ?> (5)&nbsp;&nbsp;<input type="button" class="boton" onclick="toggleEditor('comentario_5');" value="<?php  echo LEN_ADMIN_78; ?>"><br /><br />
<textarea name="comentario_5" id="comentario_5" class="input_editor" rows="10"><?php echo $row["comentario_5"]; ?></textarea>
<?php
	}
?>
</div>

<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig["catID"]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $listado_get; ?>">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
<input type="hidden" name="listado_get" value="<?php echo $tabla_get; ?>">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>